import { type MaybeRefOrGetter } from 'vue';
export type ControlledSpeechConfig = {
    recording?: boolean;
    onRecordingChange: (recording: boolean) => void;
};
export type AllowSpeech = boolean | ControlledSpeechConfig;
export default function useSpeech(onSpeech: (transcript: string) => void, allowSpeech?: MaybeRefOrGetter<AllowSpeech>): {
    speechPermission: import("vue").ComputedRef<boolean>;
    triggerSpeech: (forceBreak: boolean) => void;
    recording: import("vue").Ref<boolean, boolean>;
};
