import type { MapToken } from "ant-design-vue/es/theme/interface";
import type { AliasToken, OverrideToken, SeedToken } from "./cssinjs-utils";
import type { Theme } from "ant-design-vue";
export declare const ignore: {
    [key in keyof AliasToken]?: boolean;
};
export declare const unitless: {
    [key in keyof AliasToken]?: boolean;
};
export type ComponentsToken = {
    [key in keyof OverrideToken]?: OverrideToken[key] & {
        theme?: Theme<SeedToken, MapToken>;
    };
};
export interface DesignTokenProviderProps {
    token: Partial<AliasToken>;
    theme?: Theme<SeedToken, MapToken>;
    components?: ComponentsToken;
    /** Just merge `token` & `override` at top to save perf */
    override: {
        override: Partial<AliasToken>;
    } & ComponentsToken;
    hashed?: string | boolean;
    cssVar?: {
        prefix?: string;
        key?: string;
    };
}
